PDA

View Full Version : [Solved] Render error with Ext.grid.EditorGridPanel in IE



eyetv
5 Aug 2009, 3:17 AM
Hello,

I have a EditorGridPanel in a window, in IE,when I select a item in my first cell and I click in the second cell, the headers move, and a scrollbar appears. But normaly there is no scrollbar and the headers don't move.

In FireFox it's OK

my code


var cm_recherche=new Ext.grid.ColumnModel([{
id:'champ',
header: "Champ",
dataIndex: 'champ',
width: 150,
hideable:false,
sortable: false,
editor: ed_champ
},{
id:'operateur',
header: "Operateur",
dataIndex: 'operateur',
hideable: false,
sortable: false,
width: 80,
editor: new Ext.form.ComboBox({
typeAhead: true,
triggerAction: 'all',
editable: false,
listClass: 'x-combo-list-small',
store:store_operateur,
displayField:'champ',
mode: 'local'
})
},{
id:'param',
header: "Paramètre",
dataIndex: 'param',
hideable: false,
sortable: false,
editor: new Ext.form.TextField({
allowBlank: false
})
},{
id:'action',
header: "",
dataIndex: 'action',
hideable: false,
sortable: false,
width: 50,
renderer: function() {
if(colSearchID<1){
return '<div class="controlBtn"><img class="control_add" src="img/add.gif" alt="image" width="16" height="16"/></div>';
}
else
return '<div class="controlBtn"><img class="control_add" src="img/add.gif" alt="image" width="16" height="16"/><img class="control_supp" src="img/delete.gif" alt="image" width="16" height="16"/></div>';
}
}]);

// !gridSearch
gridSearch=new Ext.grid.EditorGridPanel({
id:'grillerecherche',
store:store_recherche,
autoScroll:false,
width: 360,
cm: cm_recherche,
autoExpandColumn: 'param',
frame:false,
title:'',
clicksToEdit:1,
iconCls:'icon-grid'
});


// !tabs
tabs = new Ext.Panel({
id:'tabrequete',
region: 'center',
margins:'3 3 3 0',
split: true,
width: 400,
autoScroll:false,
items:[gridSearch]
});

Animal
5 Aug 2009, 3:52 AM
what version of ext? this is an old bug which has been fixed

eyetv
5 Aug 2009, 4:11 AM
version 2.2.1

Animal
5 Aug 2009, 4:23 AM
Upgrade

eyetv
5 Aug 2009, 4:33 AM
thank you, I upgraded to 2.3.0.
this works properly.